* ------------------------------------------------------------------------------

* CIS - Community Innovation Survey, wave 2006 - Data without Boundaries

* This setup file produces the integrated CIS wave 2006 file, based on the 
* SPSS versions of individual country datasets
* Checked for the July 2013 release of the CIS, as provided by Eurostat

* Version 2 of the file, January 2015
* Tested with SPSS version 17

* University of Bucharest, Romanian Social Data Archive
* Adrian Dusa
* http://www.roda.ro
* Contact: dusa.adrian@unibuc.ro

* ------------------------------------------------------------------------------





* ------------------------------------------------------------------------------

* --- CONFIGURATION SECTION - START ---

* The following commands should contain the complete path and
* name of .sav files to be imported into SPSS (e.g. "C:/CIS 2006/SAV/BG.sav")
* Change SAV_DATA_PATHs to your filenames, below:

FILE HANDLE savfile_BG /NAME="SAV_DATA_PATH" .
FILE HANDLE savfile_CY /NAME="SAV_DATA_PATH" .
FILE HANDLE savfile_CZ /NAME="SAV_DATA_PATH" .
FILE HANDLE savfile_EE /NAME="SAV_DATA_PATH" .
FILE HANDLE savfile_EL /NAME="SAV_DATA_PATH" .
FILE HANDLE savfile_ES /NAME="SAV_DATA_PATH" .
FILE HANDLE savfile_HU /NAME="SAV_DATA_PATH" .
FILE HANDLE savfile_LT /NAME="SAV_DATA_PATH" .
FILE HANDLE savfile_LV /NAME="SAV_DATA_PATH" .
FILE HANDLE savfile_NO /NAME="SAV_DATA_PATH" .
FILE HANDLE savfile_PT /NAME="SAV_DATA_PATH" .
FILE HANDLE savfile_RO /NAME="SAV_DATA_PATH" . 
FILE HANDLE savfile_SI /NAME="SAV_DATA_PATH" .
FILE HANDLE savfile_SK /NAME="SAV_DATA_PATH" .


* The following command should contain the complete path and
* name of the .sav file to be saved (e.g. "C:/CIS 2006/SAV/ALL.sav")
* Change SAV_DATA_PATH to your filename, below:

FILE HANDLE integratedsavfile /NAME="SAV_DATA_PATH" .



* --- CONFIGURATION SECTION -  END  ---

* ------------------------------------------------------------------------------



* There should be nothing to change below this line
* ------------------------------------------------------------------------------



* --- DEFINITION MACRO - START ---

SET LOCALE = "English" .
SHOW LOCALE .


* --------------  Read .sav data files  --------------

GET
  FILE = savfile_BG .

ADD FILES /FILE=*
  /FILE = savfile_CY .
EXECUTE .

ADD FILES /FILE=*
  /FILE = savfile_CZ .
EXECUTE .

ADD FILES /FILE=*
  /FILE = savfile_EE .
EXECUTE .

ADD FILES /FILE=*
  /FILE = savfile_EL .
EXECUTE .

ADD FILES /FILE=*
  /FILE = savfile_ES .
EXECUTE .

ADD FILES /FILE=*
  /FILE = savfile_HU .
EXECUTE .

ADD FILES /FILE=*
  /FILE = savfile_LT .
EXECUTE .

ADD FILES /FILE=*
  /FILE = savfile_LV .
EXECUTE .

ADD FILES /FILE=*
  /FILE = savfile_NO .
EXECUTE .

ADD FILES /FILE=*
  /FILE = savfile_PT .
EXECUTE .

ADD FILES /FILE=*
  /FILE = savfile_RO .
EXECUTE .

ADD FILES /FILE=*
  /FILE = savfile_SI .
EXECUTE .

ADD FILES /FILE=*
  /FILE = savfile_SK .
EXECUTE .



* --- Saving final database ---

SAVE OUTFILE = integratedsavfile
  /COMPRESSED.

  
* --- DEFINITION MACRO -  END  ---

